Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations

QuerySNSPluginEndpoint

QuerySNSPluginEndpoint

GET/zstack/v1/sns/application-endpoints/plugin
GET/zstack/v1/sns/application-endpoints/plugin/{uuid}

Operation ID

QuerySNSPluginEndpoint

Since

5.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • total
    LongRequired

    The total number of matching resources. Returned when the query request specifies count=true or replyWithCount=true.

  • inventories
    ListRequired

    For more information, see inventories.

    • pluginDriverUuid
      StringRequired

      The UUID of the associated plugin driver.

    • timeoutInSeconds
      longRequired

      The sending timeout, in seconds.

    • properties
      MapRequired

      The plugin notification endpoint configuration.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID, which uniquely identifies the resource.

    • description
      StringRequired

      The detailed description of the resource.

    • type
      StringRequired

      The endpoint type.

    • state
      StringRequired

      The resource state.

    • platformUuid
      StringRequired

      The platform UUID.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • connectionStatus
      StringRequired

      The connection status (UP,DOWN).

    • driver
      PluginDriverInventoryRequired

      For more information, see driver.

      • uuid
        StringRequired

        The plugin driver UUID.

      • name
        StringRequired

        The resource name.

      • type
        StringRequired

        The resource type.

      • vendor
        StringRequired

        The plugin vendor.

      • features
        StringRequired

        The plugin features.

      • deleted
        booleanRequired

        Whether the plugin has been soft deleted.

      • license
        StringRequired

        The plugin license.

      • version
        StringRequired

        The plugin version.

      • description
        StringRequired

        The detailed description of the resource.

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.

      • optionTypes
        CollectionRequired

        For more information, see optionTypes.

        • uuid
          StringRequired

          The configuration field UUID.

        • name
          StringRequired

          The configuration field name.

        • code
          StringRequired

          The unique code of the configuration field.

        • category
          StringRequired

          The configuration field category.

        • required
          BooleanRequired

          Whether the field is required.

        • editable
          BooleanRequired

          Whether the field can be edited.

        • enabled
          BooleanRequired

          Whether the field is enabled.

        • displayOrder
          IntegerRequired

          The display order of the field.

        • placeHolderText
          StringRequired

          The input placeholder.

        • defaultValue
          StringRequired

          The default value of the field.

        • noSelection
          StringRequired

          The value used when no option is selected.

        • noBlank
          BooleanRequired

          Whether blank values are prohibited.

        • secretField
          BooleanRequired

          Whether the field is sensitive.

        • minVal
          LongRequired

          The minimum allowed value.

        • maxVal
          LongRequired

          The maximum allowed value.

        • minLength
          LongRequired

          The minimum allowed input length.

        • maxLength
          LongRequired

          The maximum allowed input length.

        • fieldContext
          StringRequired

          The configuration context to which the field belongs.

        • fieldClass
          StringRequired

          The field display style class.

        • fieldLabel
          StringRequired

          The field display name.

        • fieldCode
          StringRequired

          The field internationalization code.

        • fieldName
          StringRequired

          The key name used to save the field.

        • fieldGetName
          StringRequired

          The key name used to read the field value.

        • fieldSetName
          StringRequired

          The key name used to save the field value.

        • fieldGetContext
          StringRequired

          The configuration context used to read the field value.

        • fieldSetContext
          StringRequired

          The configuration context used to save the field value.

        • fieldGroup
          StringRequired

          The display group to which the field belongs.

        • fieldGroupI18nCode
          StringRequired

          The internationalization code of the field group.

        • helpText
          StringRequired

          The field help information.

        • helpTextI18nCode
          StringRequired

          The internationalization code of the field help information.

        • optionSourceType
          StringRequired

          The data source type of the dynamic options.

        • optionSource
          StringRequired

          The data source of the dynamic options.

        • dependsOn
          StringRequired

          The other fields on which the current field depends.

        • showOnEdit
          BooleanRequired

          Whether the field is displayed during editing.

        • displayValueOnDetails
          BooleanRequired

          Whether the field value is displayed on the details page.

        • showOnCreate
          BooleanRequired

          Whether the field is displayed during creation.

        • verifyPattern
          StringRequired

          The regular expression used to validate the field value.

        • inputType
          InputTypeRequired

          For more information, see inputType.

          • text
            InputTypeRequired

            A single-line text input.

          • password
            InputTypeRequired

            A password input.

          • number
            InputTypeRequired

            A numeric input.

          • textarea
            InputTypeRequired

            A multiline text input.

          • select
            InputTypeRequired

            A single-select drop-down list.

          • multiSelect
            InputTypeRequired

            A multi-select drop-down list.

          • checkbox
            InputTypeRequired

            A checkbox.

          • radio
            InputTypeRequired

            A radio button.

          • credential
            InputTypeRequired

            A credential selector.

          • typeahead
            InputTypeRequired

            A searchable single-select input.

          • multiTypeahead
            InputTypeRequired

            A searchable multi-select input.

          • code-editor
            InputTypeRequired

            A code editor.

          • hidden
            InputTypeRequired

            A hidden field.

    • platform
      SNSApplicationPlatformInventoryRequired

      For more information, see platform.

      • uuid
        StringRequired

        The resource UUID, which uniquely identifies the resource.

      • name
        StringRequired

        The resource name.

      • description
        StringRequired

        The detailed description of the resource.

      • state
        StringRequired

        The resource state.

      • type
        StringRequired

        Type

      • createDate
        TimestampRequired

        The creation date.

      • lastOpDate
        TimestampRequired

        The last operation date.